###################################################
### chunk number 1: a1
###################################################
#line 87 "Biostrings2Classes.Rnw"
library(Biostrings)
b <- BString("I am a BString object")
b
length(b)


###################################################
### chunk number 2: a2
###################################################
#line 95 "Biostrings2Classes.Rnw"
d <- DNAString("TTGAAAA-CTC-N")
d
length(d)


###################################################
### chunk number 3: a3
###################################################
#line 107 "Biostrings2Classes.Rnw"
d[3]
d[7:12]
d[]
b[length(b):1]


###################################################
### chunk number 4: a4
###################################################
#line 118 "Biostrings2Classes.Rnw"
bb <- subseq(b, 3, 6)
dd1 <- subseq(d, end=7)
dd2 <- subseq(d, start=8)


###################################################
### chunk number 5: a5
###################################################
#line 126 "Biostrings2Classes.Rnw"
toString(dd2)


###################################################
### chunk number 6: b1
###################################################
#line 143 "Biostrings2Classes.Rnw"
bb == "am a"
dd2 != DNAString("TG")


###################################################
### chunk number 7: b2
###################################################
#line 159 "Biostrings2Classes.Rnw"
cat('> bb == ""')
cat('> d == bb')


###################################################
### chunk number 8: b3
###################################################
#line 166 "Biostrings2Classes.Rnw"
r <- RNAString(d)
r
r == d


###################################################
### chunk number 9: c1
###################################################
#line 181 "Biostrings2Classes.Rnw"
v4 <- Views(dd2, start=3:0, end=5:8)
v4
length(v4)


###################################################
### chunk number 10: c3
###################################################
#line 190 "Biostrings2Classes.Rnw"
v4[4:2]


###################################################
### chunk number 11: c4
###################################################
#line 198 "Biostrings2Classes.Rnw"
v4[[2]]


###################################################
### chunk number 12: c6
###################################################
#line 203 "Biostrings2Classes.Rnw"
cat('> v4[[3]]')
cat(try(v4[[3]], silent=TRUE))


###################################################
### chunk number 13: c7
###################################################
#line 215 "Biostrings2Classes.Rnw"
v4[-3]
v4[c(TRUE, FALSE)]


###################################################
### chunk number 14: d1
###################################################
#line 227 "Biostrings2Classes.Rnw"
v12 <- Views(DNAString("TAATAATG"), start=-2:9, end=0:11)


###################################################
### chunk number 15: d2
###################################################
#line 232 "Biostrings2Classes.Rnw"
as(d, "Views")


###################################################
### chunk number 16: d3
###################################################
#line 237 "Biostrings2Classes.Rnw"
as(d, "Views")[[1]]


###################################################
### chunk number 17: d4
###################################################
#line 242 "Biostrings2Classes.Rnw"
v12[0]
v12[FALSE]
Views(d)


###################################################
### chunk number 18: e1
###################################################
#line 255 "Biostrings2Classes.Rnw"
v12 == DNAString("TAA")


###################################################
### chunk number 19: e2
###################################################
#line 261 "Biostrings2Classes.Rnw"
v12[v12 == v12[4]]
v12[v12 == v12[1]]


###################################################
### chunk number 20: e2
###################################################
#line 267 "Biostrings2Classes.Rnw"
v12[3] == Views(RNAString("AU"), start=0, end=2)


###################################################
### chunk number 21: f1
###################################################
#line 277 "Biostrings2Classes.Rnw"
start(v4)
end(v4)
width(v4)


